# Stabel-Video-Diffusion

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782009031462813696) to try this widget and copy the Pro Config template.

## Usage

\<TODO: enter description here, and remove useless inputs>

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>image</td><td><code>string</code></td><td>HTTP url. Input image for stable-video-diffusion.</td><td></td><td>true</td></tr><tr><td>seed</td><td><code>integer</code></td><td>Random seed for generation process. -1 means random seed</td><td>-1</td><td>false</td></tr><tr><td>decode_chunk_size</td><td><code>integer</code></td><td>Number of frames decoded at a time! This eats most VRAM. Reduce if necessary.</td><td>5</td><td>false</td></tr><tr><td>fps</td><td><code>integer</code></td><td>Number of frames per second</td><td>7</td><td>false</td></tr><tr><td>motion_bucket_id</td><td><code>integer</code></td><td>overall motion, default to 127</td><td>127</td><td>false</td></tr><tr><td>noise_aug_strength</td><td><code>number</code></td><td>Noice augmentation strength to condition</td><td>0.02</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                                                                                              | File Type |
| ---- | -------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| url  | `string` | The video that was generated has been saved as an online URL. This link is temporary, so please save it for your own use | `video`   |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{ // input https://image.myshell.ai/image/chat/embed_obj/40295/20240423/8555c664f6934cdeb2ef497ba4bf5d88.jpg
   "url": "https://cdn.myshell.ai/video/chat/embed_obj/40295/20240423/556e7792f1d143d0aa1379f8c5c85348.mp4"
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
{
   "results": "<the example results of this widget>"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/13-stabel-video-diffusion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
